Subject: [PATCH 3/4] irqchip: irq-armada-370-xp: use shorter names for irq_chip

From: [email-masked] (Gregory CLEMENT)
Date: Tue, 26 Jan 2016 17:23:17 +0100

Hi Thomas,
 
 On mar., janv. 26 2016, Thomas Petazzoni <[email-masked]> wrote:

> Gregory,
>
> Thanks for your feedback!
>
> On Wed, 23 Dec 2015 12:23:19 +0100, Gregory CLEMENT wrote:
>
>> >  static struct irq_chip armada_370_xp_irq_chip = {
>> > -	.name		= "armada_370_xp_irq",
>> > +	.name		= "MPIC",
>> 
>> MPIC is the name also used by the power PC interrupt controller, so it
>> would be confusing to use exactly the same name.
>
> Not really: on a given system, you won't have the PowerPC interrupt
> controller and the Marvell interrupt controller. For example, for the

Do not underestimate the creativity of the hardware designers :)
But I agree that it is very unlikely.

> ARM GIC, /proc/interrupts only shows GIC-0, not "ARM GIC-0".
>
>> What about calling it "MRVL MPIC" or "MVEBU MPIC"?
>> the name remains short but it won't be confused with the power PC ones.
>
> Those names are still too long for a nice /proc/interrupts output:
>
> # cat /proc/interrupts 
>            CPU0       CPU1       
>  17:       2878       2726     GIC-0  29 Edge      twd
>  18:          0          0  MRVL MPIC   5 Level     armada_370_xp_per_cpu_tick
>  21:        142          0     GIC-0  34 Level     mv64xxx_i2c
>  22:        235          0     GIC-0  44 Level     serial
>  37:          0          0     GIC-0  50 Level     ehci_hcd:usb1
>  41:          0          0     GIC-0  53 Level     f10a3800.rtc
>  42:          0          0     GIC-0  58 Level     ahci-mvebu[f10a8000.sata]
>  43:          0          0     GIC-0  60 Level     ahci-mvebu[f10e0000.sata]
>  44:       1040          0     GIC-0  57 Level     mmc0
>  45:          0          0     GIC-0  48 Level     xhci-hcd:usb2
>  46:          0          0     GIC-0  49 Level     xhci-hcd:usb4
> 108:          2          0     GIC-0  54 Level     f1060800.xor
> 109:          2          0     GIC-0  97 Level     f1060900.xor
> 110:          2          0  MRVL MSI MPIC 524288 Edge      eth0
>

OK with this output I see your point, so let's move to MPIC.

Thanks,

Gregory

> Of course that's really a minor detail, but I don't think it's worth
> making those names longer than "MSI MPIC" and "MPIC".
>
> Thanks!
>
> Thomas
> -- 
> Thomas Petazzoni, CTO, Free Electrons
> Embedded Linux, Kernel and Android engineering
> http://free-electrons.com

-- 
Gregory Clement, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com